Subject: bug#34140: AddressSanitizer reported heap-buffer-overflow when ignoring case

From: [email-masked]
Date: Tue, 22 Jan 2019 01:44:13 -0700

If I may beg to differ, I see no reason that GNULIB can't be
ahead of GLIBC. In particular for the benefit of programs that use
it, like grep/sed/gawk.

If necessary, I can copy/paste the change from the bug report, but
it'd be nicer if you'd just push it to GNULIB.

Thanks,

Arnold

Paul Eggert <[email-masked]> wrote:

> Thanks for the bug report. I tracked it down to a read buffer overrun in glibc's 
> regexec.c and filed a bug report with a fix here:
>
> https://sourceware.org/bugzilla/show_bug.cgi?id=24114
>
> glibc is frozen right now (it's just before the glibc 2.29 release), so most 
> likely the bug fix will appear in glibc 2.30. I plan to propagate the fix into 
> Gnulib (and therefore into grep) shortly after glibc 2.29 is released.
>
>